import request from '@/utils/request'

// 查询工厂管理列表
export function listBaseFactory(query) {
  return request({
    url: '/mes/base/baseFactory/list',
    method: 'get',
    params: query
  })
}

// 查询工厂管理详细
export function getBaseFactory(objId) {
  return request({
    url: '/mes/base/baseFactory/' + objId,
    method: 'get'
  })
}

// 新增工厂管理
export function addBaseFactory(data) {
  return request({
    url: '/mes/base/baseFactory',
    method: 'post',
    data: data
  })
}

// 修改工厂管理
export function updateBaseFactory(data) {
  return request({
    url: '/mes/base/baseFactory',
    method: 'put',
    data: data
  })
}

// 删除工厂管理
export function delBaseFactory(objId) {
  return request({
    url: '/mes/base/baseFactory/' + objId,
    method: 'delete'
  })
}

// 查询工厂管理下拉框列表
export function getBaseFactoryList(query) {
  return request({
    url: '/mes/base/baseFactory/getBaseFactoryList',
    method: 'get',
    params: query
  })
}
